=== debian/changelog ===
qt3d-opensource-src (5.9.5+dfsg-0ubuntu2) bionic; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 14:44:14 -0500

qt3d-opensource-src (5.9.5+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 13:52:08 -0500

qt3d-opensource-src (5.9.4+dfsg-0ubuntu2) bionic; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 02:24:33 -0600

qt3d-opensource-src (5.9.4+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 00:36:28 -0600

qt3d-opensource-src (5.9.3+dfsg-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Dec 2017 15:52:42 -0600

qt3d-opensource-src (5.9.2+dfsg-3) unstable; urgency=medium

  * Move qt3d-assimpsceneio-plugin Breaks/Replaces to the right package
    (closes: #879952).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Nov 2017 22:43:29 +0300

qt3d-opensource-src (5.9.2+dfsg-2) unstable; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Install qgltf to the new location, provide a compatibility symlink.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:45:02 +0300

qt3d-opensource-src (5.9.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Split qgltf executable into a new package, qt3d5-dev-tools.
    Make that package Multi-Arch: foreign.
  * Update symbols files for the new release.
  * Update debhelper compatibility level to 10.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Oct 2017 10:36:07 +0300
