## qt3d-opensource-src 5.11.1+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.11.1+dfsg-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:30 -0500

qt3d-opensource-src (5.11.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs. We might need a new entry in
    pkgkde-symbolshelper's logic.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Jun 2018 13:56:21 -0300

qt3d-opensource-src (5.11.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Update copyright for new upstream release.
  * Refresh patches for the new upstream release.
  * Remove reverse-applicable assimp_big_endian.diff.
  * Update symbols from amd64 build logs.
  * Update the copyright file for the new upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 25 Jun 2018 23:46:32 -0500

qt3d-opensource-src (5.10.1+dfsg-5) unstable; urgency=medium

  * Really remove *all* unstable API stuff (Closes: #895507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Apr 2018 16:15:58 -0300

qt3d-opensource-src (5.10.1+dfsg-4) unstable; urgency=medium

  * Do not ship CMake files for Qt53DQuickExtras and Qt53DExtras
    (Closes: #895386, #895507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Apr 2018 08:53:34 -0300

qt3d-opensource-src (5.10.1+dfsg-3) unstable; urgency=medium

  * Pass QT_BUILD_PARTS+=tests as a qmake parameter, not as a dh_auto_configure
    one.
  * Add Build-Profiles: <!nodoc> to doc packages.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:36:37 -0300

qt3d-opensource-src (5.10.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Mar 2018 17:00:04 -0300

qt3d-opensource-src (5.10.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Add support for the nodoc build profile.
  * Fix debian/watch to check for the new upstream tarball name.
  * Switch to using plain dh_auto_configure instead of calling qmake.
    - Bump debhelper dependency to 10.9.2, required to do the change.
  * Remove no longer needed code from debian/rules.
  * Refresh nonfree_resources.diff.
    - Also avoid building phong-cubes.
  * Add libassimp-dev as a build dependency. The build needs it and can use
    the system library.
  * Do not ship unstable API headers: Extras and Animations. We keep the libs
    because other stable-API libs depends upon them.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Update symbols with current build log. As Extras and Animations are
    unstable, there are no reverse dependencies and we will not ship headers
    for them from now on I am just ignoring their missing symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Mar 2018 12:36:14 -0300
