=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
+               libassimp-dev,
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.9.5+dfsg~),
+               libqt5opengl5-dev (>= 5.11.1+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-private-dev (>= 5.9.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.9.5~),
+               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.11.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~),
-                     qtbase5-doc-html (>= 5.9.5+dfsg~),
-                     qtdeclarative5-doc-html (>= 5.9.5~),
-                     qttools5-dev-tools (>= 5.9.5~)
-Standards-Version: 4.1.1
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.11.1+dfsg~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.11.1~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: http://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qt3d.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qt3d.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
 
 Package: libqt53dcore5
 Architecture: any
@@ -327,6 +327,7 @@
 
 Package: qt3d5-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 3D documentation
@@ -337,6 +338,7 @@
 
 Package: qt3d5-doc-html
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
 Description: Qt 3D HTML documentation
