## qt3d-opensource-src 5.11.3+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.11.3+dfsg-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 17:00:54 -0300

qt3d-opensource-src (5.11.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Dec 2018 16:09:18 -0300

qt3d-opensource-src (5.11.2+dfsg-2) unstable; urgency=medium

  * Update debian/copyright.
  * Drop unneeded explicit build-dependency on libqt5sql5-sqlite.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 19:53:34 +0300

qt3d-opensource-src (5.11.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.2, no changes needed.
  * Bump Qt build dependencies to 5.11.2.
  * Update copyright for new upstream files.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 23:45:50 -0500
