=== debian/rules ===
--- 
+++ 
@@ -4,32 +4,39 @@
 #export DH_VERBOSE=1
 
 export QT_SELECT=qt5
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+unstable_api = Animation Extras QuickAnimation QuickExtras
 
 %:
 	dh $@ --fail-missing --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
-	
+
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-	
+
 	# Remove private stuff
 	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
-	
+
+	# Also remove unstable API.
+	set -e; for api in $(unstable_api); do \
+		echo "Removing $$api stuff:" ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D$$api/ ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt53D$$api/ ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt53D$$api.prl ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt53D$$api.pc ; \
+		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Qt3D/$$api.pc ; \
+	done
+
 	# Remove cmake config files of plugins
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake
 
@@ -52,6 +59,3 @@
 	dh_auto_test --max-parallel=1 -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
 
 override_dh_auto_test-indep:
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='qt3d5-dbg (<< 5.9.0-1~)'
