## qt3d-opensource-src 5.12.2+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Remove obsolete code to fix wrong path in pkgconfig files.
  * Update Homepage URL.
  * Update debian/libqt53drender5.symbols for x32 (closes: #922785).
  * Update symbols files from the current build logs.
  * Minor debian/copyright updates.
  * Do not exclude a directory (pattern_09) that contains only a README.
  * Bump libassimp-dev build-dependency to 4.1, to match bundled version.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 00:18:21 +0300
