=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,6 @@
 	# Remove empty directories
 	find $(CURDIR)/debian/tmp -type d -empty -delete
 
-	# Fix wrong path in pkgconfig files
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
-	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
-
 override_dh_auto_install-indep:
 	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
