## qt3d-opensource-src 5.12.4+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop nonfree_resources.diff, no longer needed.
  * Bump Qt build-dependencies to 5.12.4.
  * Make tests fatal on most architectures.
  * Honor nocheck build option/profile.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Jun 2019 17:04:53 +0300
