## qt3d-opensource-src 5.12.5+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.5+dfsg-1build1) focal; urgency=medium

  * No-change upload for libassimp soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 07:29:02 +0100

qt3d-opensource-src (5.12.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Remove some no longer present directories from Files-Excluded.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 12:36:53 +0300
